Summary: maintains top-like display of packets and TTL for diald
Name: diald-top
Version: 2.1pl4
Release: 4%{?dist}
License: GPL
Group: Applications/System
Url: http://diald-top.sourceforge.net/
Source: ftp://diald-top.sourceforge/pub/diald-top/diald-top-%{PACKAGE_VERSION}.tar.gz
Patch: diald-top-2.1pl4.paths
Patch1: diald-top-2.1pl4.install
BuildRoot: /var/tmp/rpm/diald-top
#Prefix: /usr/local
Requires: diald, ncurses
BuildRequires: ncurses-devel, bison, flex

%description
Maintains a 'top'-like listing of all packets and their time to live for use 
with diald (tested with version 0.16 & 0.99.[34]).  Requires ncurses, flex,
bison to compile, and uses named pipes for communication.

%changelog
* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Thu Dec 07 2006 Shad L. Lords <slords@mail.com>
- Update to new release naming.  No functional changes.
- Make Packager generic

* Tue Oct 11 2005 Charlie Brady <charlieb@e-smith.com> 2.1pl4-3es
- Rebuild under CentOS4.

%prep
%setup
%patch -p1
rm -rf ${RPM_BUILD_ROOT}
#mkdir -p ${RPM_BUILD_ROOT}/var/run
#mknod ${RPM_BUILD_ROOT}/var/run/diald.ctl p
%patch1 -p1

%build
make squeakyclean
make

%install
make ROOT="$RPM_BUILD_ROOT" install

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%attr(-,root,root) %doc README INSTALL COPYING
%attr(500,root,root) /usr/bin/diald-top
%attr(500,root,root) /usr/bin/diald-top-server
%attr(-,root,root) /usr/man/man8/diald-top.8.gz
#%attr(600,root,root) /var/run/diald.ctl
